From 807c815f04706612312ced369a1ceffaba299a88 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven.rezic@idealo.de>
Date: Mon, 22 Jun 2020 14:25:02 +0200
Subject: [PATCH] regenerate ssl certificate (RT #132245)

---
 t/SSLEAY_test.t | 74 +++++++++++++++++++++++++++++++------------------
 t/SSL_test.t    | 74 +++++++++++++++++++++++++++++++------------------
 2 files changed, 94 insertions(+), 54 deletions(-)

diff --git a/t/SSLEAY_test.t b/t/SSLEAY_test.t
index a1e33c6..343b708 100644
--- a/t/SSLEAY_test.t
+++ b/t/SSLEAY_test.t
@@ -21,34 +21,54 @@ if (! eval { require Net::Server::Proto::SSLEAY }) {
 
 my $pem = << 'PEM'; # this certificate is invalid, please only use for testing
 -----BEGIN CERTIFICATE-----
-MIICKTCCAZICCQDFxHnOjdmTTjANBgkqhkiG9w0BAQUFADBZMQswCQYDVQQGEwJB
-VTETMBEGA1UECAwKU29tZS1TdGF0ZTEhMB8GA1UECgwYSW50ZXJuZXQgV2lkZ2l0
-cyBQdHkgTHRkMRIwEAYDVQQDDAlsb2NhbGhvc3QwHhcNMTIwMTE0MTgzMjMwWhcN
-NzUxMTE0MTIwNDE0WjBZMQswCQYDVQQGEwJBVTETMBEGA1UECAwKU29tZS1TdGF0
-ZTEhMB8GA1UECgwYSW50ZXJuZXQgV2lkZ2l0cyBQdHkgTHRkMRIwEAYDVQQDDAls
-b2NhbGhvc3QwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAKLGfQantHdi/0cd
-eoOHRbWKChpI/g84hU8SnwmrSMZR0x76vDLKMDYohISoKxRPx6j2M2x3P4K+kEJm
-C5H9iGdD9p9ljGnRdkGp5yYeuwWfePRb4AOwP5qgQtEb0OctFIMjcAIIAw/lsnUs
-hGnom0+uA9W2H63PgO0o4qiVAn7NAgMBAAEwDQYJKoZIhvcNAQEFBQADgYEATDGA
-dYRl5wpsYcpLgNzu0M4SENV0DAE2wNTZ4LIR1wxHbcxdgzMhjp0wwfVQBTJFNqWu
-DbeIFt4ghPMsUQKmMc4+og2Zyll8qev8oNgWQneKjDAEKKpzdvUoRZyGx1ZocGzi
-S4LDiMd4qhD+GGePcHwmR8x/okoq58xZO/+Qygc=
+MIIDazCCAlOgAwIBAgIUX5bOrA7M5R3nOFzxAG/AczyBtHYwDQYJKoZIhvcNAQEL
+BQAwRTELMAkGA1UEBhMCQVUxEzARBgNVBAgMClNvbWUtU3RhdGUxITAfBgNVBAoM
+GEludGVybmV0IFdpZGdpdHMgUHR5IEx0ZDAeFw0yMDAzMjcwMDM0MjhaFw00NTA0
+MTUwMDM0MjhaMEUxCzAJBgNVBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEw
+HwYDVQQKDBhJbnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQwggEiMA0GCSqGSIb3DQEB
+AQUAA4IBDwAwggEKAoIBAQDeMD12F5YXpiHJq2A+So3I8ppaRas5YTJm5My7p41M
+ChWhTJATBHVyICFAnw65oj0sl0SFG+eyFyOi7h051RHEAyIWEsmnfeqsTRzglYm1
+lc8Fi9T4cgCX9i2/y2c1nzVUAlbPU7j603VCWz0G9G5Mou315SEq7UgcVe92l6o+
+/qIJUibX3KjqSAtF4L9SQd7Br5PyrnaKqmg9IBUCDS12LV/I2WghnQywm/3HFwCK
+cd1owGDoOpbJSfhXtxlR+NI+uTc5M2BeGGl0+REX1WT02nJHhgYr+JzArW/02VNk
+JNDXAn10OkQ7enhvPGUH+zperkayb71ADkQ+7i+HWsr/AgMBAAGjUzBRMB0GA1Ud
+DgQWBBQzRw/VaV1pjY+cnR6xKOIPJc61MDAfBgNVHSMEGDAWgBQzRw/VaV1pjY+c
+nR6xKOIPJc61MDAPBgNVHRMBAf8EBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQDC
+P/TZuWo/Iqv0vygm5l9SIMm6dxNIl5n6mtYA/ZvVOESSPFRKIAqT+QoHS/6eiqFo
+Z2hObykpTi581ACrKBJ3+IZTsPJFU6HqECyStf78zjOBTwccYxqEZ2nl0NUh3UxW
+sY9A8kBYMxg3CIt5P6pg5awPowDumkl+Im0TH17uZJfKR02SmNkKiOMqbDTxGhEj
+FauMp/M6eurw1eMuE8xfAQcp0mPEdwyEWMKfjnx6r+lNay0kNt5hRczYcgMfSL2P
+vW8RbG1Hk/yfTnt8CB6+D2EoRfSffGeaSPOzV57gizbnFLAkCOSRM3GxKWwvxYhS
+rQZMeEgs/esF32GyxTTQ
 -----END CERTIFICATE-----
------BEGIN RSA PRIVATE KEY-----
-MIICXAIBAAKBgQCixn0Gp7R3Yv9HHXqDh0W1igoaSP4POIVPEp8Jq0jGUdMe+rwy
-yjA2KISEqCsUT8eo9jNsdz+CvpBCZguR/YhnQ/afZYxp0XZBqecmHrsFn3j0W+AD
-sD+aoELRG9DnLRSDI3ACCAMP5bJ1LIRp6JtPrgPVth+tz4DtKOKolQJ+zQIDAQAB
-AoGASXDmvhbyfJ8k8HAjc66XzBWxAzUFs9Zbh1aufM1UM259o8+bFAtXf0f+ql+5
-uBtaySf0Aa8374SNT/f8pmzOmpiXMvYRz8Z5Gc6JYpYd/PrCoSCGtP+NdCvk7Y5c
-eUmmpiEto4+fgCAKrtqc5jm8eBWn/yNhQNDBVJ9qX+kXQOECQQDVBLvBZaECSMTm
-djKuPlZ93cmyI7g+TURTl2N08fz4xQVVbo5+AV0GsEZupBpTgrHpLTk8gKP/nfdR
-9KWZldbZAkEAw55+SqrVTv4cI0fMvC0t8Wl46zTkY9tK65TGnbO1DbTQh9qs+NwH
-+v3uu47ef5w/73xLtDjQouz//0z5rgF3FQJAfrmOKQOYwY8g9CmlBNu5ALAM6Zku
-ZoH4//G0DUJYyHYNMkHPK08MVIpRnEisELpTtPBeeIvfBJapJ2xvh+sIIQJASeY4
-I5EB4EOS8akQKQ6QSqDjs0dZ+HdBiFm95pmbDkB+frQXoDPPN/xyEZzZZS/r31b/
-amgEOWh7FUFJGXkoOQJBALfOgsiss0lASlOXAg1rwO4m2OaDiaEde01PLcSjIaKl
-Qfbzc7ZYF+fGDsHHlD5Kgj1CGaWCVVHqCv4UHSrA/gM=
------END RSA PRIVATE KEY-----
+-----BEGIN PRIVATE KEY-----
+MIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQDeMD12F5YXpiHJ
+q2A+So3I8ppaRas5YTJm5My7p41MChWhTJATBHVyICFAnw65oj0sl0SFG+eyFyOi
+7h051RHEAyIWEsmnfeqsTRzglYm1lc8Fi9T4cgCX9i2/y2c1nzVUAlbPU7j603VC
+Wz0G9G5Mou315SEq7UgcVe92l6o+/qIJUibX3KjqSAtF4L9SQd7Br5PyrnaKqmg9
+IBUCDS12LV/I2WghnQywm/3HFwCKcd1owGDoOpbJSfhXtxlR+NI+uTc5M2BeGGl0
++REX1WT02nJHhgYr+JzArW/02VNkJNDXAn10OkQ7enhvPGUH+zperkayb71ADkQ+
+7i+HWsr/AgMBAAECggEBAKsy3licyeCE+KnMa8bzaRY5oCcIYWs/8jcH+pxo+N1r
+M8lqFeUhXWFHUnfZVt5AHQS7tWce3kMBw0qqUEicXSj8BQqfBVQSGH0UmbiOYGJT
+AQXT/ZBFPyHX5N5QWsEdYFjPyJXNe82Am2w6ouY19rsEG3iJSSorVJHIwU9OgzYv
+S5UE/+5mbOZWpIbs84hDXuxU+nhyaN3+NNM+ubGSxNCCzWK0NdAFzFPQvM9mY77C
+UTaFe1oaBoklURf3UYswxNB0OQ215By4QEHftaGTZzhQgcfvLBh5biFL3Wfr7eP5
+W2M4T1jKhg7ZwgDMY5b6H13tpIfSwMizVtK3xUJXz9kCgYEA8kMRfcscMDFxE+tI
+OFvYUr1wzVIhPan4nzEIjTH6t7fUOTFhNFuJm8jwP/ss0wBuqx6xu06nzwuOxtyH
+HChDBHyn3loMgA7jIeLsVBhalj0fb7ph6MPrT50pVlTyInVV9WbjIyRx6wysD96U
+orcTWoY4EaERKwE1whxoO9ox1r0CgYEA6snDS1S9DE35hXejHYN8Gct0ukfPC1xY
+z0AJkv6st0wXY2jBUY523UpCWzUJgeBY/Aez4ZnPSbCFREM+A5F+XMvCuuxeXS0D
+A7fehB7e3MB2Nbd2X8opUrOUP5EQCbWz5SnjwGhxHH9rRzBi882/DqcqMkMSBvna
+UhMeZ71L0msCgYAh/1F8Er3Q8Y9J2VHYPuNbsSQcXDM4ARtX07y8e9AQaibJI+nd
+PB9Skl9My0XeEoh1UShl/cLE5n1R4O7A/9Fv1sKEDKUGb5BmV/8MSiKkRM2dk01c
+Kepi0M5VRDR6q3a1qoujieDGuI+I5pZ7Qy/fG0jRCIZtP404wV3LUHKADQKBgGxZ
+mAqXnHalNVVmlJv2JbsxrTiaEu5HO6TJBKIVbVdZgiGaIjyk5i3RKzY0D6MkCWyl
+kVm3RXXYRGfwMBotdocUcVUZ56JQN2fr3oBSTr7JAsRfWf1yqgdEYFHFfAU/GTnU
+TwpoKGriUnuT1NZ2SIlWk56GXTdi7mGZ+RoevXLpAoGAYoZ095TQ7SACetGwj+ky
+s1kNDHcjidcLOG6T/couQgVhb4ksZFUSsaatyCuhaygDosplU7os37HwWuRORaty
+v9Pof0b9US2sjGNaeW3+nZiAIyuBqnRzi+yamJ0JEC3LBA2ffHo/jvEpwbmKU2IB
+WdndvhVnyOiNZPW3PBExiJY=
+-----END PRIVATE KEY-----
 PEM
 
 my ($pem_fh, $pem_filename) =
diff --git a/t/SSL_test.t b/t/SSL_test.t
index 9aef205..a2f9f3b 100644
--- a/t/SSL_test.t
+++ b/t/SSL_test.t
@@ -16,34 +16,54 @@ if (! eval { require File::Temp }
 
 my $pem = << 'PEM'; # this certificate is invalid, please only use for testing
 -----BEGIN CERTIFICATE-----
-MIICKTCCAZICCQDFxHnOjdmTTjANBgkqhkiG9w0BAQUFADBZMQswCQYDVQQGEwJB
-VTETMBEGA1UECAwKU29tZS1TdGF0ZTEhMB8GA1UECgwYSW50ZXJuZXQgV2lkZ2l0
-cyBQdHkgTHRkMRIwEAYDVQQDDAlsb2NhbGhvc3QwHhcNMTIwMTE0MTgzMjMwWhcN
-NzUxMTE0MTIwNDE0WjBZMQswCQYDVQQGEwJBVTETMBEGA1UECAwKU29tZS1TdGF0
-ZTEhMB8GA1UECgwYSW50ZXJuZXQgV2lkZ2l0cyBQdHkgTHRkMRIwEAYDVQQDDAls
-b2NhbGhvc3QwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAKLGfQantHdi/0cd
-eoOHRbWKChpI/g84hU8SnwmrSMZR0x76vDLKMDYohISoKxRPx6j2M2x3P4K+kEJm
-C5H9iGdD9p9ljGnRdkGp5yYeuwWfePRb4AOwP5qgQtEb0OctFIMjcAIIAw/lsnUs
-hGnom0+uA9W2H63PgO0o4qiVAn7NAgMBAAEwDQYJKoZIhvcNAQEFBQADgYEATDGA
-dYRl5wpsYcpLgNzu0M4SENV0DAE2wNTZ4LIR1wxHbcxdgzMhjp0wwfVQBTJFNqWu
-DbeIFt4ghPMsUQKmMc4+og2Zyll8qev8oNgWQneKjDAEKKpzdvUoRZyGx1ZocGzi
-S4LDiMd4qhD+GGePcHwmR8x/okoq58xZO/+Qygc=
+MIIDazCCAlOgAwIBAgIUX5bOrA7M5R3nOFzxAG/AczyBtHYwDQYJKoZIhvcNAQEL
+BQAwRTELMAkGA1UEBhMCQVUxEzARBgNVBAgMClNvbWUtU3RhdGUxITAfBgNVBAoM
+GEludGVybmV0IFdpZGdpdHMgUHR5IEx0ZDAeFw0yMDAzMjcwMDM0MjhaFw00NTA0
+MTUwMDM0MjhaMEUxCzAJBgNVBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEw
+HwYDVQQKDBhJbnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQwggEiMA0GCSqGSIb3DQEB
+AQUAA4IBDwAwggEKAoIBAQDeMD12F5YXpiHJq2A+So3I8ppaRas5YTJm5My7p41M
+ChWhTJATBHVyICFAnw65oj0sl0SFG+eyFyOi7h051RHEAyIWEsmnfeqsTRzglYm1
+lc8Fi9T4cgCX9i2/y2c1nzVUAlbPU7j603VCWz0G9G5Mou315SEq7UgcVe92l6o+
+/qIJUibX3KjqSAtF4L9SQd7Br5PyrnaKqmg9IBUCDS12LV/I2WghnQywm/3HFwCK
+cd1owGDoOpbJSfhXtxlR+NI+uTc5M2BeGGl0+REX1WT02nJHhgYr+JzArW/02VNk
+JNDXAn10OkQ7enhvPGUH+zperkayb71ADkQ+7i+HWsr/AgMBAAGjUzBRMB0GA1Ud
+DgQWBBQzRw/VaV1pjY+cnR6xKOIPJc61MDAfBgNVHSMEGDAWgBQzRw/VaV1pjY+c
+nR6xKOIPJc61MDAPBgNVHRMBAf8EBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQDC
+P/TZuWo/Iqv0vygm5l9SIMm6dxNIl5n6mtYA/ZvVOESSPFRKIAqT+QoHS/6eiqFo
+Z2hObykpTi581ACrKBJ3+IZTsPJFU6HqECyStf78zjOBTwccYxqEZ2nl0NUh3UxW
+sY9A8kBYMxg3CIt5P6pg5awPowDumkl+Im0TH17uZJfKR02SmNkKiOMqbDTxGhEj
+FauMp/M6eurw1eMuE8xfAQcp0mPEdwyEWMKfjnx6r+lNay0kNt5hRczYcgMfSL2P
+vW8RbG1Hk/yfTnt8CB6+D2EoRfSffGeaSPOzV57gizbnFLAkCOSRM3GxKWwvxYhS
+rQZMeEgs/esF32GyxTTQ
 -----END CERTIFICATE-----
------BEGIN RSA PRIVATE KEY-----
-MIICXAIBAAKBgQCixn0Gp7R3Yv9HHXqDh0W1igoaSP4POIVPEp8Jq0jGUdMe+rwy
-yjA2KISEqCsUT8eo9jNsdz+CvpBCZguR/YhnQ/afZYxp0XZBqecmHrsFn3j0W+AD
-sD+aoELRG9DnLRSDI3ACCAMP5bJ1LIRp6JtPrgPVth+tz4DtKOKolQJ+zQIDAQAB
-AoGASXDmvhbyfJ8k8HAjc66XzBWxAzUFs9Zbh1aufM1UM259o8+bFAtXf0f+ql+5
-uBtaySf0Aa8374SNT/f8pmzOmpiXMvYRz8Z5Gc6JYpYd/PrCoSCGtP+NdCvk7Y5c
-eUmmpiEto4+fgCAKrtqc5jm8eBWn/yNhQNDBVJ9qX+kXQOECQQDVBLvBZaECSMTm
-djKuPlZ93cmyI7g+TURTl2N08fz4xQVVbo5+AV0GsEZupBpTgrHpLTk8gKP/nfdR
-9KWZldbZAkEAw55+SqrVTv4cI0fMvC0t8Wl46zTkY9tK65TGnbO1DbTQh9qs+NwH
-+v3uu47ef5w/73xLtDjQouz//0z5rgF3FQJAfrmOKQOYwY8g9CmlBNu5ALAM6Zku
-ZoH4//G0DUJYyHYNMkHPK08MVIpRnEisELpTtPBeeIvfBJapJ2xvh+sIIQJASeY4
-I5EB4EOS8akQKQ6QSqDjs0dZ+HdBiFm95pmbDkB+frQXoDPPN/xyEZzZZS/r31b/
-amgEOWh7FUFJGXkoOQJBALfOgsiss0lASlOXAg1rwO4m2OaDiaEde01PLcSjIaKl
-Qfbzc7ZYF+fGDsHHlD5Kgj1CGaWCVVHqCv4UHSrA/gM=
------END RSA PRIVATE KEY-----
+-----BEGIN PRIVATE KEY-----
+MIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQDeMD12F5YXpiHJ
+q2A+So3I8ppaRas5YTJm5My7p41MChWhTJATBHVyICFAnw65oj0sl0SFG+eyFyOi
+7h051RHEAyIWEsmnfeqsTRzglYm1lc8Fi9T4cgCX9i2/y2c1nzVUAlbPU7j603VC
+Wz0G9G5Mou315SEq7UgcVe92l6o+/qIJUibX3KjqSAtF4L9SQd7Br5PyrnaKqmg9
+IBUCDS12LV/I2WghnQywm/3HFwCKcd1owGDoOpbJSfhXtxlR+NI+uTc5M2BeGGl0
++REX1WT02nJHhgYr+JzArW/02VNkJNDXAn10OkQ7enhvPGUH+zperkayb71ADkQ+
+7i+HWsr/AgMBAAECggEBAKsy3licyeCE+KnMa8bzaRY5oCcIYWs/8jcH+pxo+N1r
+M8lqFeUhXWFHUnfZVt5AHQS7tWce3kMBw0qqUEicXSj8BQqfBVQSGH0UmbiOYGJT
+AQXT/ZBFPyHX5N5QWsEdYFjPyJXNe82Am2w6ouY19rsEG3iJSSorVJHIwU9OgzYv
+S5UE/+5mbOZWpIbs84hDXuxU+nhyaN3+NNM+ubGSxNCCzWK0NdAFzFPQvM9mY77C
+UTaFe1oaBoklURf3UYswxNB0OQ215By4QEHftaGTZzhQgcfvLBh5biFL3Wfr7eP5
+W2M4T1jKhg7ZwgDMY5b6H13tpIfSwMizVtK3xUJXz9kCgYEA8kMRfcscMDFxE+tI
+OFvYUr1wzVIhPan4nzEIjTH6t7fUOTFhNFuJm8jwP/ss0wBuqx6xu06nzwuOxtyH
+HChDBHyn3loMgA7jIeLsVBhalj0fb7ph6MPrT50pVlTyInVV9WbjIyRx6wysD96U
+orcTWoY4EaERKwE1whxoO9ox1r0CgYEA6snDS1S9DE35hXejHYN8Gct0ukfPC1xY
+z0AJkv6st0wXY2jBUY523UpCWzUJgeBY/Aez4ZnPSbCFREM+A5F+XMvCuuxeXS0D
+A7fehB7e3MB2Nbd2X8opUrOUP5EQCbWz5SnjwGhxHH9rRzBi882/DqcqMkMSBvna
+UhMeZ71L0msCgYAh/1F8Er3Q8Y9J2VHYPuNbsSQcXDM4ARtX07y8e9AQaibJI+nd
+PB9Skl9My0XeEoh1UShl/cLE5n1R4O7A/9Fv1sKEDKUGb5BmV/8MSiKkRM2dk01c
+Kepi0M5VRDR6q3a1qoujieDGuI+I5pZ7Qy/fG0jRCIZtP404wV3LUHKADQKBgGxZ
+mAqXnHalNVVmlJv2JbsxrTiaEu5HO6TJBKIVbVdZgiGaIjyk5i3RKzY0D6MkCWyl
+kVm3RXXYRGfwMBotdocUcVUZ56JQN2fr3oBSTr7JAsRfWf1yqgdEYFHFfAU/GTnU
+TwpoKGriUnuT1NZ2SIlWk56GXTdi7mGZ+RoevXLpAoGAYoZ095TQ7SACetGwj+ky
+s1kNDHcjidcLOG6T/couQgVhb4ksZFUSsaatyCuhaygDosplU7os37HwWuRORaty
+v9Pof0b9US2sjGNaeW3+nZiAIyuBqnRzi+yamJ0JEC3LBA2ffHo/jvEpwbmKU2IB
+WdndvhVnyOiNZPW3PBExiJY=
+-----END PRIVATE KEY-----
 PEM
 
 my ($pem_fh, $pem_filename) =
-- 
2.25.1

